import request from '@/utils/request'
const VITE_APP_PROMOTION = import.meta.env.VITE_APP_PROMOTION

// 获取稽核任务详情
export function getExamineDetail(id) {
  return request({
    baseURL: VITE_APP_PROMOTION,
    url: `/exa/query/${id}`
  })
}

// 创建稽核任务
export function createExamine(data) {
  return request({
    baseURL: VITE_APP_PROMOTION,
    url: `/exa/core/save`,
    method: 'post',
    data: data
  }) 
}

// 获取稽核任务列表
export function getExamineList(data) {
  return request({
    baseURL: VITE_APP_PROMOTION,
    url: `/exa/query/page`,
    method: 'post',
    data: {
      pageNum: data.page,
      pageSize: data.pageSize,
      queryParams: {}
    }
  })
}